Subject: Re: Job | Tech Support Remote Screening
From: Katikireddy Sairam <[email-masked]>
To: [email-masked]
Date: Tue, 16 Feb 2021 23:16:52 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

8587 Applicants

View All

Katikireddy Sairam
I worked in Vistaprint, Ahmadabad for 15 months. Then I shifted to Hyderabad. I did work as a supervisor in a local business for few months and joined Locuz as a HR executive trainee in May 2019. Now I had started working with Tech Mahindra as technical support associate and supporting Australian customers since 2020 Feb

Shortlist

Reject

Current Designation Technical Support Engineer
Current Company Tech Mahindra IT Services
Notice Period Currenlty serving notice period
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
2 Yrs 11 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Pune, Noida, Hyderabad
Education
NA
Post Graduation Institute Not Mentioned
B.Tech/B.E.
Lovely Professional University (LPU)
Key Skills
Troubleshooting, Excel, VLOOKUP, ISP, International BPO, Customer Service, Salesforce, Internet, Troubleshooting Skills, Pivot Table, SUMIF, Countif, Data Validation, Filters, Lookup, Customer Service Executive, BPO, Customer Support, Customer Handling

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem